diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index 42fcfdb0..947a0539 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -9,21 +9,23 @@
 
 """ Implements Collation Node """
 
-import simplejson as json
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases as database
+import simplejson as json
 from flask import render_template, request, jsonify
 from flask_babel import gettext
+
+import pgadmin.browser.server_groups.servers.databases as database
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils \
     import SchemaChildModule
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.compile_template_name import compile_template_path
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -197,12 +199,14 @@ class CollationView(PGChildNodeView):
             )
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
     def list(self, gid, sid, did, scid):
         """
-        This function is used to list all the collation nodes within that collection.
+        This function is used to list all the collation nodes within that
+        collection.
 
         Args:
             gid: Server group ID
@@ -228,7 +232,8 @@ class CollationView(PGChildNodeView):
     @check_precondition
     def nodes(self, gid, sid, did, scid):
         """
-        This function will used to create all the child node within that collection.
+        This function will used to create all the child node within that
+        collection.
         Here it will create all the collation node.
 
         Args:
@@ -380,22 +385,28 @@ class CollationView(PGChildNodeView):
         missing_definition_flag = False
 
         for arg in definition_args:
-            if arg == 'locale' and \
-                    (arg not in data or data[arg] == ''):
+            if (
+                arg == 'locale' and
+                (arg not in data or data[arg] == '')
+            ):
                 if 'copy_collation' not in data and (
-                                'lc_collate' not in data and 'lc_type' not in data
+                    'lc_collate' not in data and 'lc_type' not in data
                 ):
                     missing_definition_flag = True
 
-            if arg == 'copy_collation' and \
-                    (arg not in data or data[arg] == ''):
+            if (
+                arg == 'copy_collation' and
+                (arg not in data or data[arg] == '')
+            ):
                 if 'locale' not in data and (
-                                'lc_collate' not in data and 'lc_type' not in data
+                    'lc_collate' not in data and 'lc_type' not in data
                 ):
                     missing_definition_flag = True
 
-            if (arg == 'lc_collate' or arg == 'lc_type') and \
-                    (arg not in data or data[arg] == ''):
+            if (
+                (arg == 'lc_collate' or arg == 'lc_type') and
+                (arg not in data or data[arg] == '')
+            ):
                 if 'copy_collation' not in data and 'locale' not in data:
                     missing_definition_flag = True
 
@@ -435,7 +446,8 @@ class CollationView(PGChildNodeView):
                 status=410,
                 success=0,
                 errormsg=gettext(
-                    "Definition incomplete. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE."
+                    "Definition incomplete. Please provide Locale OR Copy "
+                    "Collation OR LC_TYPE/LC_COLLATE."
                 )
             )
 
@@ -603,7 +615,7 @@ class CollationView(PGChildNodeView):
             return make_json_response(
                 data=SQL,
                 status=200
-                )
+            )
         except Exception as e:
             return internal_server_error(errormsg=str(e))
 
@@ -620,7 +632,8 @@ class CollationView(PGChildNodeView):
                 return internal_server_error(errormsg=res)
             if len(res['rows']) == 0:
                 return gone(
-                    gettext("Could not find the collation object in the database.")
+                    gettext(
+                        "Could not find the collation object in the database.")
                 )
 
             old_data = res['rows'][0]
@@ -628,7 +641,8 @@ class CollationView(PGChildNodeView):
                 "/".join([self.template_path, 'update.sql']),
                 data=data, o_data=old_data, conn=self.conn
             )
-            return SQL.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            return SQL.strip('\n'), data['name'] if 'name' in data else \
+                old_data['name']
         else:
             required_args = [
                 'name'
@@ -649,7 +663,8 @@ class CollationView(PGChildNodeView):
     @check_precondition
     def sql(self, gid, sid, did, scid, coid):
         """
-        This function will generates reverse engineered sql for collation object
+        This function will generates reverse engineered sql for collation
+        object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
index b541580e..220f4715 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_add.py
@@ -64,8 +64,8 @@ class CollationAddTestCase(BaseTestGenerator):
             "schema": schema_name
         }
         response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
-                                    str(server_id) + '/' + str(
-            db_id) + '/' + str(schema_id) + '/',
+                                    str(server_id) + '/' + str(db_id) + '/' +
+                                    str(schema_id) + '/',
                                     data=json.dumps(data),
                                     content_type='html/json')
         self.assertEquals(response.status_code, 200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
index 4c8330ff..0cf47988 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/test_collation_put.py
@@ -69,8 +69,9 @@ class CollationPutTestCase(BaseTestGenerator):
             "id": collation_id
         }
         put_response = self.tester.put(self.url + str(utils.SERVER_GROUP) +
-                                       '/' + str(server_id) + '/' + str(db_id)
-                                       + '/' + str(schema_id) + '/' +
+                                       '/' + str(server_id) + '/' +
+                                       str(db_id) + '/' + str(schema_id) +
+                                       '/' +
                                        str(collation_id),
                                        data=json.dumps(data),
                                        follow_redirects=True)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index 7ec87af4..73ad23ea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -9,23 +9,25 @@
 
 """Implements the Domain Node."""
 
-import simplejson as json
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases as databases
+import simplejson as json
 from flask import render_template, make_response, request, jsonify
 from flask_babel import gettext
+
+import pgadmin.browser.server_groups.servers.databases as databases
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.server_groups.servers.databases.schemas.utils import \
     SchemaChildModule, DataTypeReader
 from pgadmin.browser.server_groups.servers.databases.utils import \
     parse_sec_labels_from_db
 from pgadmin.browser.utils import PGChildNodeView
+from pgadmin.utils import IS_PY2
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.compile_template_name import compile_template_path
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
-from pgadmin.utils import IS_PY2
+
 # If we are in Python3
 if not IS_PY2:
     unicode = str
@@ -209,7 +211,8 @@ class DomainView(PGChildNodeView, DataTypeReader):
                             status=410,
                             success=0,
                             errormsg=gettext(
-                                "Could not find the required parameter (%s)." % arg
+                                "Could not find the required parameter (%s)." %
+                                arg
                             )
                         )
 
@@ -219,15 +222,19 @@ class DomainView(PGChildNodeView, DataTypeReader):
                     list_params = ['constraints', 'seclabels']
 
                 for key in req:
-                    if key in list_params and req[key] != '' \
-                            and req[key] is not None:
+                    if (
+                        key in list_params and req[key] != '' and
+                        req[key] is not None
+                    ):
                         # Coverts string into python list as expected.
                         data[key] = json.loads(req[key], encoding='utf-8')
                     elif key == 'typnotnull':
-                        data[key] = True if req[key] == 'true' or req[key] is \
-                                                                  True else \
-                            (False if req[key] == 'false' or req[key] is
-                                                             False else '')
+                        if req[key] == 'true' or req[key] is True:
+                            data[key] = True
+                        elif req[key] == 'false' or req[key] is False:
+                            data[key] = False
+                        else:
+                            data[key] = ''
                     else:
                         data[key] = req[key]
 
@@ -611,7 +618,7 @@ AND relkind != 'c'))"""
                 )
             )
 
-        name  = res['rows'][0]['name']
+        name = res['rows'][0]['name']
         basensp = res['rows'][0]['basensp']
 
         SQL = render_template("/".join([self.template_path,
@@ -659,7 +666,7 @@ AND relkind != 'c'))"""
         # Get Schema Id
         SQL = render_template("/".join([self.template_path,
                                         'get_oid.sql']),
-                                doid=doid)
+                              doid=doid)
         status, scid = self.conn.execute_scalar(SQL)
         if not status:
             return internal_server_error(errormsg=res)
@@ -693,9 +700,9 @@ AND relkind != 'c'))"""
         if not status:
             return internal_server_error(errormsg=res)
         if len(res['rows']) == 0:
-                return gone(
-                    gettext("Could not find the specified domain.")
-                )
+            return gone(
+                gettext("Could not find the specified domain.")
+            )
 
         data = res['rows'][0]
 
@@ -762,7 +769,7 @@ AND relkind != 'c'))"""
             return make_json_response(
                 data=SQL,
                 status=200
-                )
+            )
         except Exception as e:
             return internal_server_error(errormsg=str(e))
 
@@ -787,9 +794,9 @@ AND relkind != 'c'))"""
             if not status:
                 return False, internal_server_error(errormsg=res)
             if len(res['rows']) == 0:
-                    return gone(
-                        gettext("Could not find the specified domain.")
-                    )
+                return gone(
+                    gettext("Could not find the specified domain.")
+                )
 
             old_data = res['rows'][0]
 
@@ -810,7 +817,8 @@ AND relkind != 'c'))"""
             SQL = render_template(
                 "/".join([self.template_path, 'update.sql']),
                 data=data, o_data=old_data)
-            return SQL.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            return SQL.strip('\n'), data['name'] if 'name' in data else \
+                old_data['name']
         else:
             SQL = render_template("/".join([self.template_path,
                                             'create.sql']),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
index c416324d..0d584c62 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
@@ -9,19 +9,20 @@
 
 """Implements the Domain Constraint Module."""
 
-import simplejson as json
 from functools import wraps
 
-import pgadmin.browser.server_groups.servers.databases.schemas.domains \
-    as domains
+import simplejson as json
 from flask import render_template, request, jsonify
 from flask_babel import gettext
+
+import pgadmin.browser.server_groups.servers.databases.schemas.domains \
+    as domains
+from config import PG_DEFAULT_DRIVER
 from pgadmin.browser.collection import CollectionNodeModule
 from pgadmin.browser.utils import PGChildNodeView
 from pgadmin.utils.ajax import make_json_response, internal_server_error, \
     make_response as ajax_response, gone
 from pgadmin.utils.driver import get_driver
-from config import PG_DEFAULT_DRIVER
 
 
 class DomainConstraintModule(CollectionNodeModule):
@@ -211,7 +212,8 @@ class DomainConstraintView(PGChildNodeView):
                             status=410,
                             success=0,
                             errormsg=gettext(
-                                "Could not find the required parameter (%s)." % arg
+                                "Could not find the required parameter (%s)." %
+                                arg
                             )
                         )
 
@@ -247,9 +249,11 @@ class DomainConstraintView(PGChildNodeView):
             self.qtIdent = driver.qtIdent
 
             # Set the template path for the SQL scripts
-            self.template_path = 'domain_constraints/sql/#{0}#'.format(self.manager.version)
+            self.template_path = 'domain_constraints/sql/#{0}#'.format(
+                self.manager.version)
 
             return f(*args, **kwargs)
+
         return wrap
 
     @check_precondition
@@ -383,7 +387,7 @@ class DomainConstraintView(PGChildNodeView):
         if len(res['rows']) == 0:
             return gone(gettext(
                 "Could not find the specified domain constraint."
-                )
+            )
             )
 
         data = res['rows'][0]
@@ -585,7 +589,7 @@ class DomainConstraintView(PGChildNodeView):
         if len(res['rows']) == 0:
             return gone(gettext(
                 "Could not find the specified domain constraint."
-                )
+            )
             )
 
         data = res['rows'][0]
@@ -657,7 +661,7 @@ class DomainConstraintView(PGChildNodeView):
                 if len(res['rows']) == 0:
                     return False, gone(gettext(
                         "Could not find the specified domain constraint."
-                        )
+                    )
                     )
 
                 old_data = res['rows'][0]
@@ -672,7 +676,10 @@ class DomainConstraintView(PGChildNodeView):
                 SQL = render_template("/".join([self.template_path,
                                                 'create.sql']),
                                       data=data, domain=domain, schema=schema)
-            return True, SQL.strip('\n'), data['name'] if 'name' in data else old_data['name']
+            if 'name' in data:
+                return True, SQL.strip('\n'), data['name']
+            else:
+                return True, SQL.strip('\n'), old_data['name']
         except Exception as e:
             return False, internal_server_error(errormsg=str(e)), None
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
index cc9bd6e6..c803538b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/test_domain_add.py
@@ -67,8 +67,8 @@ class DomainAddTestCase(BaseTestGenerator):
         }
         # Call POST API to add domain
         response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
-                                    str(self.server_id) + '/' + str(
-            self.db_id) +
+                                    str(self.server_id) + '/' +
+                                    str(self.db_id) +
                                     '/' + str(schema_id) + '/',
                                     data=json.dumps(data),
                                     content_type='html/json')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/utils.py
index 23b75610..a50bc0e3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/utils.py
@@ -37,8 +37,8 @@ def create_domain(server, db_name, schema_name, schema_id, domain_name):
                                              server['host'],
                                              server['port'])
         pg_cursor = connection.cursor()
-        query = 'CREATE DOMAIN '+schema_name+'.'+domain_name+' AS' \
-                ' character(10) COLLATE pg_catalog."POSIX" DEFAULT 1'
+        query = 'CREATE DOMAIN ' + schema_name + '.' + domain_name + \
+                ' AS character(10) COLLATE pg_catalog."POSIX" DEFAULT 1'
         pg_cursor.execute(query)
         connection.commit()
         # Get 'oid' from newly created domain
